<template>
	<div class="q-pa-md q-gutter-sm">
		<q-dialog v-model="userDel">
			<q-card>
				<q-card-section>
					<div class="text-h6">Deletion</div>
				</q-card-section>

				<q-card-section class="q-pt-none">
					Are you sure you want to delete account of {{ userName }} ?
				</q-card-section>

				<q-card-actions align="right">
					<div class="q-pa-md q-gutter-sm">
						<q-btn color="positive" label="No" v-close-popup />
						<q-btn
							color="negative"
							label="Yes"
							v-close-popup
							@click="deleteUser"
						/>
					</div>
				</q-card-actions>
			</q-card>
		</q-dialog>
	</div>
</template>

<script>
import { mapGetters } from "vuex";
export default {
	data() {
		return {};
	},
	methods: {
		deleteUser() {
			this.$axios.delete(this.host + "/src/php/actions/user.php", {
				data: {
					userId: this.userId,
				},
			});
			this.$emit("reload");
		},
	},
	computed: {
		...mapGetters({
			delForm: "showcase/userDel",
			userName: "showcase/userName",
			userId: "showcase/userId",
		}),
		userDel: {
			get() {
				return this.delForm;
			},
			set(value) {
				this.$store.commit("showcase/hideUserDelDialog", value);
			},
		},
	},
};
</script>
